mod utils;
mod day01;
mod day02;

fn main() {
    let path01 = "input/day01/question01";
    let content01: String = match utils::load_file_as_string(path01) {
        Ok(content) => content,
        Err(error) => panic!("Problem opening the file: {:?}", error),
    };

    let path02 = "input/day02/question01";
    let content02: String = match utils::load_file_as_string(path02) {
        Ok(content) => content,
        Err(error) => panic!("Problem opening the file: {:?}", error),
    };

    day01::execute_task01(&content01);
    day01::execute_task02(&content01);

    day02::execute_task01(&content02);
    day02::execute_task02(&content02);
}
