use std::fs;
use std::error::Error;

pub fn load_file_as_string(path: &str) -> Result<String, Box<dyn Error>> {
    let content = fs::read_to_string(path)?;
    Ok(content)
}

pub fn convert_to_string_slice(content: &str) -> Vec<&str> {
    content.lines().collect()
}